#include <stdio.h>
#include <stdlib.h>

int cmpfunc (const void * a, const void * b)
{
   return ( *(int*)a - *(int*)b );
}

int firstindexof(int x, int a[], int n)
{
    for(int i=0;i<n;i++)
        if(a[i]==x)
            return i;
    return -1;
}

int lastindexof(int x, int a[], int n)
{
    int index=-1;
    for(int i=0;i<n;i++)
        if(a[i]==x)
            index=i;
    return index;
}

int main()
{
    int q, n;
    scanf("%d %d", &n, &q);
    int a[n+3], b[q+3];
    for(int i=0;i<n;i++)
        scanf("%d", &a[i]);
    for(int i=0;i<q;i++)
        scanf("%d", &b[i]);
    qsort(a,n,sizeof(int),cmpfunc);
    for(int i=0;i<q;i++)
    {
        if(b[i]==a[n/2])
            printf("0\n");
        else
        {
            if(lastindexof(b[i],a,n)==-1)
            {
                a[n]=b[i];
                qsort(a,n,sizeof(int),cmpfunc);
                printf("%d\n", 2*firstindexof(b[i],a,n+1)-n);
            }
            else
            {
                if(b[i]>a[n/2])
                    printf("%d\n", 2*firstindexof(b[i],a,n)-n);
                else
                    printf("%d\n", n-2*lastindexof(b[i],a,n));
            }
        }
    }
    return 0;
}